function [L] = ComputeIRF(w,F,tau)

N = 2^10;

L = cell(7,6);

for i = 1:6
  for j = 1:6
    f = imag(F{i,j})./w;
    L{i,j} = 2*filon_sin([0 w],[0 f],tau,N)/pi;
  end
end

i = 7;
for j = 1:6
f = real(F{i,j});
%if (j==3)
%    f0 = f(1);
%else
    f0 = 0;
%end
L{i,j} = filon_cos([0 w],[f0 f],[-tau(end:-1:2) tau],N)/pi;
f = imag(F{i,j});
L{i,j} = L{i,j} + filon_sin([0 w],[0 f],[-tau(end:-1:2) tau],N)/pi;
end
